[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_guard' (#crwlib)

# TGuard.CheckAction

## Declaration

Source position: _crw_guard.pas line 109

`public function TGuard.CheckAction(`
`aLevel: Cardinal;`
`const aAction: LongString;`
`aMessage: LongString = '*';`
`aFlags: Cardinal = gf_Default`
`):Integer; overload; function TGuard.CheckAction(`
`aLevel: Cardinal;`
`aAction: TAction;`
`aMessage: LongString = '*';`
`aFlags: Cardinal = gf_Default`
`):Integer; overload;`